* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

.body-login {
    overflow-x: hidden;
    background: url('../../assets/img/fondo.jpg') no-repeat center center fixed;
    background-size: cover;
    position: relative;
}

.body-login::before {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.5);
    z-index: -1;
}

/* ====================== LOGUIN ======================= */
.full-height {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.all-login{
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
}

.img-loguin img {
    width: 600px;
    height: 350px;
    border-radius: 10px 0px 0px 10px;
}

.card-loguin {
    height: 350px;
    background-color: #ff842b;
    color: #fff;
    margin-left: -1.4%;
    border-radius: 0px 10px 10px 0px;
}

.card-form label {
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 20px;
}

.card-form input {
    height: 33.5px;
}

/* ============================= MENU ===================== */
.menu-header {
    width: 15%;
    transition: width 0.3s;
}

.menu-header.reduced {
    width: 5%;
}

.menu-header .links span {
    display: inline-block;
    transition: opacity 0.3s;
}

.menu-header.reduced .links span {
    display: none;
}

.menu-content {
    width: 85%;
    transition: width 0.3s;
}

.menu-content.expanded {
    width: 95%;
}

.menu-links li {
    padding: 10px 0px;
}

.link {
    text-decoration: none;
    color: #fff;
    font-weight: bold;
    position: relative;
}

.link span {
    padding: 0px 40px 0px 15px;
}

.link:hover::after {
    content: attr(data-name);
    position: absolute;
    left: 100%;
    white-space: nowrap;
    background: #ff842b;
    color: white;
    padding: 5px;
    border-radius: 3px;
    display: none;
}

.menu-header.reduced .link:hover::after {
    display: block;
}

.contraer {
    color: #fff;
}

.contraer i {
    padding: 10px;
}

.contraer i:hover, .link:hover {
    cursor: pointer;
    color: #ffff77 !important;
}

.sub-menu-links {
    display: none;
}

.logo {
    width: 50%;
    transition: width 0.3s;
}

.logo.reduced{
    width: 100%;
}

#icon-1, #icon-2, #icon-3 {
    padding-left: 10px;
}

.link.reduced:hover span {
    display: block;
    opacity: 1;
    transform: translateX(22px);
    position: absolute;
    left: 100%;
    top: 0;
    background: #ff842b;
    color: #ffff77;
    padding: 5px;
    border-radius: 3px;
    z-index: 1000;
}

.title-page{
    background-color: #ff842b;
    padding: 10px 0px 2px 0px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    color: #fff;
}

.reloj{
    font-weight: bold;
}

.closed:hover{
    cursor: pointer;
}

/* Modo movil */
@media screen and (max-width: 767px) {
    /* Para el loguin */
    .all-login{
        flex-direction: column;
    }
    .img-loguin img {
        width: 300px;
        height: 250px;
        border-radius: 10px 10px 10px 10px;
    }
    
    .card-loguin {
        width: 300px;
        height: 350px;
        margin-left: 0;
        border-radius: 10px 10px 10px 10px;
    }

    /* Para el menu */

    .menu-header {
        width: 27%;
        transition: width 0.3s;
        font-size: 8.5px;
    }
    
    .menu-header.reduced {
        width: 14%;
    }
    
    .menu-content {
        width: 73%;
        transition: width 0.3s;
    }
    
    .menu-content.expanded {
        width: 86%;
    }
    
    .link span {
        padding: 0px 5px 0px 5px;
    }
    
    .sub-menu-links{
        margin-left: 5px;
        padding-left: 5px;
    }

    .logo {
        width: 100%;
        transition: width 0.3s;
    }

    .title-page{
        font-size: 10px;
    }

    .title-page h2{
        font-size: 15px;
    }
}


@media (min-width: 768px) and (max-width: 1024px) {
    /* Para el menu */
    
    .menu-header {
        width: 22%;
        transition: width 0.3s;
        font-size: 15px;
    }
    
    .menu-header.reduced {
        width: 10%;
    }
    
    .menu-content {
        width: 78%;
        transition: width 0.3s;
    }
    
    .menu-content.expanded {
        width: 90%;
    }
    
    .link span {
        padding: 0px 5px 0px 10px;
    }
    
    .sub-menu-links{
        margin-left: 10px;
        padding-left: 10px;
    }
    
    .logo {
        width: 100%;
        transition: width 0.3s;
    }

    .title-page{
        font-size: 18px;
    }

    .title-page h2{
        font-size: 23px;
    }
}

/* Productos */
.imgProducto{
    display: flex;
    justify-content: center;
    align-items: center;
}